{% set notfluid = true %}
{% extends('admin/adminLayout.twig') %}
{% block content %}

    <h1>Configuration de l'analyse</h1>

    <form method='post' action='#' novalidate>

        {% form_theme form 'bootstrap_3_layout.html.twig' %}
        {{ form_widget(form) }}

        <button type="submit" class="btn btn-primary">Modifier</button>

    </form>

<hr></hr>

<h2>Modèles de styles</h2>

<h3>Analyse de type <u>classes</u></h3>

<pre>
{
	"De 0 à 0.2m":{		
		"min": "0",
		"max": "0.2",
		"style":{"radius" : "10", "color": "#0000ff","fillOpacity":"0.5"}
	}, "De 0.2 à 0.5 m":{		
		"min": "0.2", "max":"0.5",
		"style":{"radius" : "10", "color": "#00ccFF","fillOpacity":"0.5"}
	}, "de 0.5 à 1m":{		
		"min": "0.5", "max":"1",
		"style":{"radius" : "10", "color": "#00FF00","fillOpacity":"0.5"}
	}, "Plus de 1m":{		
		"min": "1", "max":"200",
		"style":{"radius" : "10", "color": "#ff0000","fillOpacity":"0.5"}
	},
    "defaut":{
        "style":{"radius" : "10", "color":"#cccccc","fillOpacity":"0.5"}
    }
}
</pre>


<h3>Analyse de type <u>values</u></h3>

<pre>
{
    "bon":{"style":{"radius" : "10", "color":"#00ff00","weight":2}},
    "très bon":{"style":{"radius" : "10", "color":"#0000ff","weight":2}},
    "moyen":{"style":{"radius" : "10", "color":"#fffc00","weight":2}},
    "moyenne":{"style":{"radius" : "10", "color":"#fffc00","weight":2}},
    "mauvais":{"style":{"radius" : "10", "color":"#ffbd00","weight":2}},
    "très mauvais":{"style":{"radius" : "10", "color":"#ff2d00","weight":2}},
    "résultat à ne pas afficher":{"style":{"display":"none"}},
    "defaut":{"style":{"radius" : "10", "color":"#cccccc","weight":2}}
}
</pre>

<h3>Analyse de type <u>gradient</u></h3>

<pre>
{
    "min":{"style":{"radius" : "10", "color":"#b3ff1a"}},
    "max":{"style":{"radius" : "10", "color":"#ff0000"}},
    "nb_classes":5,
    "defaut":{"style":{"radius" : "10", "weight":2,"color":"#cccccc","fillOpacity":"0.5"}}
}
</pre>
{% endblock %}
